import { world, system } from "@minecraft/server";
    

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('carrot_diamondcarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 600, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 600, {amplifier: 1});
e.source.addEffect("minecraft:saturation", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_enchantedemeraldapple:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 4220, {amplifier: 1});
e.source.addEffect("minecraft:night_vision", 2000, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 3100, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_netheritecarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:jump_boost", 4360, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 1040, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 2000, {amplifier: 1});
e.source.addEffect("minecraft:speed", 700, {amplifier: 1});
e.source.addEffect("minecraft:strength", 3000, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_lapiscarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_ironcarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:resistance", 200, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_redstonecarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_emeraldcarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 1200, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 1000, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_enchantednetheritecarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 2000, {amplifier: 10});
e.source.addEffect("minecraft:fire_resistance", 2160, {amplifier: 1});
e.source.addEffect("minecraft:village_hero", 2000, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 2160, {amplifier: 1});
e.source.addEffect("minecraft:night_vision", 2000, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 2160, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 2000, {amplifier: 1});
e.source.addEffect("minecraft:saturation", 2000, {amplifier: 1});
e.source.addEffect("minecraft:speed", 2000, {amplifier: 1});
e.source.addEffect("minecraft:strength", 2000, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_enchantedredtsonecarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 2000, {amplifier: 1});
e.source.addEffect("minecraft:saturation", 2160, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_enchantedlapiscarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 1000, {amplifier: 1});
e.source.addEffect("minecraft:night_vision", 1000, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('morecarrot_enchantedironcarrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:resistance", 2000, {amplifier: 2});
e.source.addEffect("minecraft:strength", 2000, {amplifier: 2});
  
},

  
});
 });
